> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/tracking/symptoms/symptom-categories.md).

# Symptom Categories

Use the `symptomCategories` query to list all the symptoms categories available.

### Available Fields

| Field Name    | Type     | Description                                      |
| ------------- | -------- | ------------------------------------------------ |
| `id`          | ID       | Symptom category Id.                             |
| `name`        | String   | Symptom category name.                           |
| `description` | String   | Symptom category description.                    |
| `createdAt`   | DateTime | Date when the symptom category was created.      |
| `updatedAt`   | DateTime | Date when the symptom category was last updated. |

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query{
  symptomCategories{
    edges{
      node{
        id
        name
        description
        createdAt
        updatedAt
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "symptomCategories": {
      "edges": [
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OmE2ODM3YzA0LTYzZDItNDZlNy04YTVjLWVhMGUxZTljNGYyNw==",
            "name": "Cardiovascular",
            "description": "Involving the heart and blood vessels.",
            "createdAt": "2025-05-21T16:09:10.311247+00:00",
            "updatedAt": "2025-05-21T16:09:10.311273+00:00"
          }
        },
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OjBiZDUzNTg5LWVjMDYtNGU0Ni1hMjQzLTc3MTQ1OTU0NjZmNA==",
            "name": "Gastrointestinal",
            "description": "Relating to the digestive system, common early side effects.",
            "createdAt": "2025-05-21T16:09:09.927718+00:00",
            "updatedAt": "2025-05-21T16:09:09.927755+00:00"
          }
        },
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OjQ1OGNjZTJkLWJjZDQtNGIyZi1iY2U2LTAxODJkNWRlODA1Ng==",
            "name": "Metabolic",
            "description": "Linked to blood sugar and metabolism.",
            "createdAt": "2025-05-21T16:09:10.692917+00:00",
            "updatedAt": "2025-05-21T16:09:10.692938+00:00"
          }
        },
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OjY3NWJmNTEyLWQyZmEtNGZhYi04ZWQwLTAxNWE2ODQ3ZWQ4MA==",
            "name": "Most Common",
            "description": "Most Common Symptoms",
            "createdAt": "2025-06-18T21:54:56.096371+00:00",
            "updatedAt": "2025-06-18T21:54:56.096394+00:00"
          }
        },
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OmQzMTcwOTVmLTU4MDUtNDBiZi1hM2I2LTQ5YTAxY2NmOTMxNA==",
            "name": "Neurological",
            "description": "Affecting the brain, mood, and mental state.",
            "createdAt": "2025-05-21T16:09:10.120135+00:00",
            "updatedAt": "2025-05-21T16:09:10.120157+00:00"
          }
        },
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OmE1ZTU4ODA5LWJiZDAtNDJjMC1iN2E0LTk5NGEzOGJlNGNlYQ==",
            "name": "Other",
            "description": "Other symptoms.",
            "createdAt": "2025-06-03T17:07:15.796625+00:00",
            "updatedAt": "2025-06-03T17:08:02.815758+00:00"
          }
        },
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OjRhZTA5NWQ3LWU0YWUtNDA4My05NjdhLTJjYWY1NzE3NmMyMg==",
            "name": "Physical",
            "description": "Changes in physical health or appearance.",
            "createdAt": "2025-05-21T16:09:10.883869+00:00",
            "updatedAt": "2025-05-21T16:09:10.883890+00:00"
          }
        },
        {
          "node": {
            "id": "U3ltcHRvbUNhdGVnb3J5OmJjMGE0NTA5LTAwY2MtNDA0NS1iZjEwLWE2MWViMmU2NzYzOQ==",
            "name": "Respiratory",
            "description": "Breathing or immune system-related reactions.",
            "createdAt": "2025-05-21T16:09:10.502956+00:00",
            "updatedAt": "2025-05-21T16:09:10.502982+00:00"
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/tracking/symptoms/symptom-categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
